/*******************************************************************************
 * FoxLadderVolume generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxLadderVolume extends LadderVolume
    native
    hidecategories(Navigation,Object,Movement,Display);

var Vector LadderTop;

simulated event PostBeginPlay()
{
    super.PostBeginPlay();
    FindWallandLookDir();
    //return;    
}

// Export UFoxLadderVolume::execFindWallandLookDir(FFrame&, void* const)
native function FindWallandLookDir();

simulated event PawnEnteredVolume(Pawn P)
{
    local FoxPawn FP;
    local Rotator PawnRot;
    local bool bCooking;
    local FoxPC PC;

    // End:0x26
    if(!P.CanGrabLadder())
    {
        return;
    }
    PawnRot = P.Rotation;
    PawnRot.Pitch = 0;
    // End:0xC9
    if((FoxWeapon_GrenadeBase(P.Weapon) != none) && P.IsFiring())
    {
        bCooking = true;
    }
    // End:0x117
    if(FoxWeapon_GrenadeBase(P.InvManager.PendingWeapon) != none)
    {
        bCooking = true;
    }
    // End:0x2CE
    if((((vector(PawnRot) Dot LookDir) > 0.90) && !bCooking) || (AIController(P.Controller) != none) && Ladder(P.Controller.MoveTarget) != none)
    {
        FP = FoxPawn(P);
        // End:0x2CB
        if(FP != none)
        {
            // End:0x287
            if(FoxPC(FP.Controller) != none)
            {
                PC = FoxPC(FP.Controller);
                // End:0x287
                if(PC.IsHRVActive())
                {
                    PC.ToggleVisorMode(false, false);
                }
            }
            P.ClimbLadder(self);
            P.ViewPitchMin = 0.0;
        }
    }
    // End:0x339
    else
    {
        // End:0x339
        if(!P.bDeleteMe && P.Controller != none)
        {
            Spawn(class'FoxPotentialClimbWatcher', P);
        }
    }
    super(PhysicsVolume).PawnEnteredVolume(P);
    //return;    
}

simulated event PawnLeavingVolume(Pawn P)
{
    local FoxPawn FP;

    FP = FoxPawn(P);
    // End:0xB8
    if((FP != none) && P.OnLadder != none)
    {
        FP.DoSpecialMove(5);
        P.ViewPitchMin = -P.ViewPitchMax - float(1);
    }
    super.PawnLeavingVolume(P);
    //return;    
}

defaultproperties
{
    begin object name=BrushComponent0 class=BrushComponent
        ReplacementPrimitive=none
    object end
    // Reference: BrushComponent'Default__FoxLadderVolume.BrushComponent0'
    BrushComponent=BrushComponent0
    begin object name=BrushComponent0 class=BrushComponent
        ReplacementPrimitive=none
    object end
    // Reference: BrushComponent'Default__FoxLadderVolume.BrushComponent0'
    Components(0)=BrushComponent0
    Components(1)=none
    begin object name=BrushComponent0 class=BrushComponent
        ReplacementPrimitive=none
    object end
    // Reference: BrushComponent'Default__FoxLadderVolume.BrushComponent0'
    CollisionComponent=BrushComponent0
}